CMDLINER(1)

NAME

cmdliner - Helper tool for cmdliner based tools

SYNOPSIS

cmdliner [COMMAND] …

DESCRIPTION

cmdliner is a helper for tools using the cmdliner command line interface library. It helps with installing command line completion scripts and manpages. See the library documentation or invoke subcommands with --help for more details.

COMMANDS

generic-completion [OPTION]… SHELL
    Output generic completion scripts

install COMMAND …
    Install support files for cmdliner tools

tool-commands [OPTION]… TOOLEXEC
    Output all subcommands of a cmdliner tool

tool-completion [--standalone-completion] [OPTION]… SHELL TOOLNAME
    Output tool completion scripts

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

cmdliner exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).